VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | Properties | Events
VisimBuilder.LightEdit Class Reference

List of all members.

## Public Types
enum | LightParameter { Type, Position, Direction, Color, Spot, Attenuation, Other }
## Public Member Functions
| LightEdit ()
delegate void | LightParameterChanged (LightParameter param)
## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used.
## Protected Attributes
ColorByte | OrigoAmbient
Vector3 | OrigoPos
float | OrigoAngle
float | OrigoRadius
LightTypes | OrigoType
string | OrigoName
bool | _EnableLightTypeChange = true
LightTypes | _SelectedLightType = LightTypes.Directional
ILight | _AttachedLight = null
## Properties
ILight | AttachedLight`[get, set]`
| Attached light object.
bool | EnableLightTypeChange`[get, set]`
| Enable changing of light type?
bool | EnablePosAndDir`[get, set]`
| Enable changing of position and direction?
LightTypes | SelectedLightType`[get, set]`
| Selected light type.
Vector3 | Position`[get, set]`
| Position of the light.
Vector3 | Direction`[get, set]`
| Direction of the light.
Vector3 | Attenuation`[get, set]`
bool | EnableDirectChange`[get, set]`
| Enable direct changes to attached light?
float | SpotIntensity`[get, set]`
float | SpotAngle`[get, set]`
float | ActiveRadius`[get, set]`
ColorByte | AmbientLight`[get, set]`
ColorByte | DiffuseLight`[get, set]`
ColorByte | SpecularLight`[get, set]`
## Events
LightParameterChanged | LightChanged

## Member Enumeration Documentation

enum VisimBuilder::LightEdit::LightParameter

Enumerator:

  Type |
  Position |
  Direction |
  Color |
  Spot |
  Attenuation |
  Other |

## Constructor & Destructor Documentation

VisimBuilder.LightEdit.LightEdit | ( |  | ) |

## Member Function Documentation

override void VisimBuilder.LightEdit.Dispose | ( | bool | disposing | ) | `[protected]`

Clean up any resources being used.

Parameters:

  disposing | true if managed resources should be disposed; otherwise, false.

delegate void VisimBuilder.LightEdit.LightParameterChanged | ( | LightParameter | param | ) |

## Member Data Documentation

ILight VisimBuilder.LightEdit._AttachedLight = null`[protected]`

bool VisimBuilder.LightEdit._EnableLightTypeChange = true`[protected]`

LightTypes VisimBuilder.LightEdit._SelectedLightType = LightTypes.Directional`[protected]`

ColorByte VisimBuilder.LightEdit.OrigoAmbient`[protected]`

float VisimBuilder.LightEdit.OrigoAngle`[protected]`

string VisimBuilder.LightEdit.OrigoName`[protected]`

Vector3 VisimBuilder.LightEdit.OrigoPos`[protected]`

float VisimBuilder.LightEdit.OrigoRadius`[protected]`

LightTypes VisimBuilder.LightEdit.OrigoType`[protected]`

## Property Documentation

float VisimBuilder.LightEdit.ActiveRadius`[get, set]`

ColorByte VisimBuilder.LightEdit.AmbientLight`[get, set]`

ILight VisimBuilder.LightEdit.AttachedLight`[get, set]`

Attached light object.

Vector3 VisimBuilder.LightEdit.Attenuation`[get, set]`

ColorByte VisimBuilder.LightEdit.DiffuseLight`[get, set]`

Vector3 VisimBuilder.LightEdit.Direction`[get, set]`

Direction of the light.

bool VisimBuilder.LightEdit.EnableDirectChange`[get, set]`

Enable direct changes to attached light?

bool VisimBuilder.LightEdit.EnableLightTypeChange`[get, set]`

Enable changing of light type?

bool VisimBuilder.LightEdit.EnablePosAndDir`[get, set]`

Enable changing of position and direction?

Vector3 VisimBuilder.LightEdit.Position`[get, set]`

Position of the light.

LightTypes VisimBuilder.LightEdit.SelectedLightType`[get, set]`

Selected light type.

ColorByte VisimBuilder.LightEdit.SpecularLight`[get, set]`

float VisimBuilder.LightEdit.SpotAngle`[get, set]`

float VisimBuilder.LightEdit.SpotIntensity`[get, set]`

## Event Documentation

LightParameterChanged VisimBuilder.LightEdit.LightChanged

The documentation for this class was generated from the following files:

- LightEdit.cs
- LightEdit.Designer.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events